PIIX_SATA_PROBE(9)

NAME
piix_sata_probe - Probe PCI device for present SATA devices

SYNOPSIS

int piix_sata_probe (struct ata_port * ap);

ARGUMENTS

ap  Port associated with the PCI device we wish to probe

DESCRIPTION

Reads SATA PCI device's PCI config register Port Configuration and Status (PCS) to determine port and device availability.

LOCKING

None (inherited from caller).

RETURNS

Non-zero if port is enabled, it may or may not have a device attached in that case (PRESENT bit would only be set if BIOS probe was done). Zero is returned if port is disabled.

AUTHOR
Jeff Garzik.